com.streambase.sb

## Class TupleUtil.RepMethods

- java.lang.Object
- - com.streambase.sb.TupleUtil.RepMethods

- Enclosing class:
    TupleUtil

      public abstract static class TupleUtil.RepMethods
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepMethods()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFieldLength(Tuple tuple, Schema.Field field)`
    `(package private) int` | `getValueLength(CompleteDataType completeType, Object value)`
    `(package private) abstract void` | `serializeField(TupleRep tuple, Schema.Field field, ByteOrderedDataOutput out)`
    `(package private) abstract void` | `serializeValue(CompleteDataType valueType, Object value, ByteOrderedDataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepMethods

          public RepMethods()

  - ### Method Detail

    - #### serializeField

          abstract void serializeField(TupleRep tuple,
                                       Schema.Field field,
                                       ByteOrderedDataOutput out)
                                throws TupleException

      Throws:
        `TupleException`

    - #### serializeValue

          abstract void serializeValue(CompleteDataType valueType,
                                       Object value,
                                       ByteOrderedDataOutput out)
                                throws TupleException

      Throws:
        `TupleException`

    - #### getFieldLength

          public int getFieldLength(Tuple tuple,
                                    Schema.Field field)
                             throws NullValueException,
                                    TupleException

      Throws:
        `NullValueException`
        `TupleException`

    - #### getValueLength

          int getValueLength(CompleteDataType completeType,
                             Object value)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.